/*
 * post_raw_pop_p.h
 * Private header file for POP section
 * libpostal project
 * libpost_raw
 * $Id: post_raw_pop_p.h,v 1.4 2001/05/03 12:27:55 fullermd Exp $
 */

/* #include's in #includes, bad boy! */
#include <string.h>


/* Constants */
#define POP_HDRLEN		160		/* Arbitrary, but 2 'lines' is plenty */

#define POP_GOOD		"+OK"
#define POP_BAD			"-ERR"


/* Macros */
#define POP_CMD_SEND(c,s)	(write(c->spec.pop->sock, s, strlen(s)))


/* Prototypes */
/* These are private interfaces, they should never be exposed */
int pop_answer_check(POSTAL_CONN *);
void pop_network_close(POSTAL_CONN *);
