/*
 * mbox_close_file.c
 * Close a mbox-format file
 * libpostal project
 * libpost_raw mbox code
 * $Id: mbox_close_file.c,v 1.1 2001/05/03 12:27:55 fullermd Exp $
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_mbox_p.h>


void
mbox_close_file(POSTAL_CONN *p_conn)
{
	/* Flush it, just to make sure */
	fflush(p_conn->spec.mbox->fref.mbox_file);

	/* 
	 * And close out.
	 * Note that this will also clear the flock() lock
	 * on the file implicitly.
	 */
	fclose(p_conn->spec.mbox->fref.mbox_file);

	/* Cleanup */
	free(p_conn->spec.mbox);
	free(p_conn);
}
